#ifndef THREADARGUMENT_H
#define THREADARGUMENT_H
#include <pthread.h>
#include "MMASSDefs.h"

namespace MMASS {
	class ThreadArgument {
	public:
		volatile pthread_mutex_t *mutex;
		volatile pthread_cond_t *cond;
		spAgent_set agents;
		spMMASS mmass;

		ThreadArgument(pthread_mutex_t *mutex_, pthread_cond_t *cond_,
			spAgent_set agents_, spMMASS mmass_) {
			agents = agents_;
			mmass = mmass_;
			mutex = mutex_;
			cond = cond_;
		}
	};
}

#endif